<?php
$servername = "localhost"; // Ganti dengan nama server Anda
$username = "borneom2_orderkuota";     // Ganti dengan username database Anda
$password = "Anugrah333";     // Ganti dengan password database Anda
$dbname = "borneom2_orderkuota";  // Ganti dengan nama database Anda

// Membuat koneksi
$conn = new mysqli($servername, $username, $password, $dbname);

// Memeriksa koneksi
if ($conn->connect_error) {
    die("Koneksi gagal: " . $conn->connect_error);
}

if (isset($_GET['layanan']) && isset($_GET['produk'])) {
    $layanan = $_GET['layanan'];
    $produk = $_GET['produk'];

    $sql = "SELECT * FROM produk WHERE kategori_layanan = ? AND kategori_produk = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ss", $layanan, $produk);
    $stmt->execute();
    $result = $stmt->get_result();

    $produk_data = [];
    while ($row = $result->fetch_assoc()) {
        $produk_data[] = $row;
    }

    echo json_encode($produk_data);
} else {
    echo json_encode([]); // Jika tidak ada layanan atau produk, kembalikan array kosong
}

$conn->close();
?>